from struct import unpack

TYPE_REQUEST_CAMERA_POSITION	= 1

class RequestCameraPosition(object):
	def __init__(self):
		pass
	
	@staticmethod
	def parse(socket):
		return RequestCameraPosition()
		
def parse(socket):
	(type,) = unpack("<B",socket.recv(1))
	
	if type==TYPE_REQUEST_CAMERA_POSITION:
		return RequestCameraPosition.parse(socket)
